[workspace]
resolver = "2"
members = ["crates/ascend", "crates/moonboard-parser"]

[workspace.package]
edition = "2021"
authors = ["Asger Juul Brunshøj <asgerbrunshoj@gmail.com>"]

[workspace.dependencies.moonboard-parser]
path = "crates/moonboard-parser"

[workspace.lints.rust]
future_incompatible = { level = "deny", priority = -1 }
nonstandard_style = { level = "deny", priority = -1 }
rust_2018_idioms = { level = "deny", priority = -1 }
missing_docs = "warn"
missing_debug_implementations = "warn"

# Defines a size-optimized profile for the WASM bundle in release mode
[profile.wasm-release]
inherits = "release"
opt-level = 'z'
lto = true
codegen-units = 1
panic = "abort"
